Method: ragMetadata.batchCreate

Full name: projects.locations.ragCorpora.ragFiles.ragMetadata.batchCreate

Batch Create one or more RagMetadatas

Endpoint

post https://{service-endpoint}/v1beta1/{parent}/ragMetadata:batchCreate

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The parent resource where the RagMetadata will be created. Format: projects/{projectNumber}/locations/{locationId}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}

Request body

The request body contains data with the following structure:

Fields
requests[] object (CreateRagMetadataRequest)

Required. The request messages for VertexRagDataService.CreateRagMetadata. A maximum of 500 rag file metadata can be created in a batch.

Response body

If successful, the response body contains an instance of Operation.

CreateRagMetadataRequest

Request message for ragMetadata.create.

Fields
parent string

Required. The parent resource where this metadata will be created. Format: projects/{projectNumber}/locations/{locationId}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}

ragMetadata object (RagMetadata)

Required. The metadata to create.

ragMetadataId string

Optional. The id to use for the metadata, which will become the final component of the metadata's resource name if the user chooses to specify. Otherwise, metadata id will be generated by system.

This value should be up to 63 characters, and valid characters are /[a-z][0-9]-/. The first character must be a letter, the last could be a letter or a number.

JSON representation
{
  "parent": string,
  "ragMetadata": {
    object (RagMetadata)
  },
  "ragMetadataId": string
}